# class Gem::Commands::InfoCommand

### Public Class Methods

new ()
Source

    # File lib/rubygems/commands/info_command.rb, line 9
    def initialize
      super "info", "Show information for the given gem",
           name: //, domain: :local, details: false, versions: true,
           installed: nil, version: Gem::Requirement.default

      add_query_options

      remove_option("-d")

      defaults[:details] = true
      defaults[:exact] = true
    end

Calls superclass method `Gem::Command::new`

### Public Instance Methods

defaults_str ()
Source

    # File lib/rubygems/commands/info_command.rb, line 35
    def defaults_str
      "--local"
    end